<?xml version='1.0' encoding='UTF-8'?><wsdl:definitions xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:tns="http://ws.demographic.gazelle.ihe.net/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:ns1="http://schemas.xmlsoap.org/soap/http" name="DemographicDataServerService" targetNamespace="http://ws.demographic.gazelle.ihe.net/">
  <wsdl:types>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="http://ws.demographic.gazelle.ihe.net/" attributeFormDefault="unqualified" elementFormDefault="unqualified" targetNamespace="http://ws.demographic.gazelle.ihe.net/">
  <xs:element name="CharacterSetEncoding" type="tns:characterSetEncoding"/>
  <xs:element name="CountryCode" type="tns:countryCode"/>
  <xs:element name="getListCountryCode" type="tns:getListCountryCode"/>
  <xs:element name="getListCountryCodeResponse" type="tns:getListCountryCodeResponse"/>
  <xs:element name="returnAddress" type="tns:returnAddress"/>
  <xs:element name="returnAddressByCoordinates" type="tns:returnAddressByCoordinates"/>
  <xs:element name="returnAddressByCoordinatesResponse" type="tns:returnAddressByCoordinatesResponse"/>
  <xs:element name="returnAddressByTown" type="tns:returnAddressByTown"/>
  <xs:element name="returnAddressByTownResponse" type="tns:returnAddressByTownResponse"/>
  <xs:element name="returnAddressResponse" type="tns:returnAddressResponse"/>
  <xs:element name="returnCountryInseeCode" type="tns:returnCountryInseeCode"/>
  <xs:element name="returnCountryInseeCodeResponse" type="tns:returnCountryInseeCodeResponse"/>
  <xs:element name="returnHl7Message" type="tns:returnHl7Message"/>
  <xs:element name="returnHl7MessageResponse" type="tns:returnHl7MessageResponse"/>
  <xs:element name="returnHl7v3Message" type="tns:returnHl7v3Message"/>
  <xs:element name="returnHl7v3MessageResponse" type="tns:returnHl7v3MessageResponse"/>
  <xs:element name="returnPatient" type="tns:returnPatient"/>
  <xs:element name="returnPatientResponse" type="tns:returnPatientResponse"/>
  <xs:element name="returnPatientWithAllOptions" type="tns:returnPatientWithAllOptions"/>
  <xs:element name="returnPatientWithAllOptionsResponse" type="tns:returnPatientWithAllOptionsResponse"/>
  <xs:element name="returnPerson" type="tns:returnPerson"/>
  <xs:element name="returnPersonResponse" type="tns:returnPersonResponse"/>
  <xs:element name="returnSimplePatient" type="tns:returnSimplePatient"/>
  <xs:element name="returnSimplePatientResponse" type="tns:returnSimplePatientResponse"/>
  <xs:element name="returnTownInseeCode" type="tns:returnTownInseeCode"/>
  <xs:element name="returnTownInseeCodeResponse" type="tns:returnTownInseeCodeResponse"/>
  <xs:element name="sendHl7Message" type="tns:sendHl7Message"/>
  <xs:element name="sendHl7MessageResponse" type="tns:sendHl7MessageResponse"/>
  <xs:element name="sendHl7v3Message" type="tns:sendHl7v3Message"/>
  <xs:element name="sendHl7v3MessageResponse" type="tns:sendHl7v3MessageResponse"/>
  <xs:complexType name="sendHl7Message">
    <xs:sequence>
      <xs:element minOccurs="0" name="countryCode" type="xs:string"/>
      <xs:element minOccurs="0" name="targetHost" type="xs:string"/>
      <xs:element minOccurs="0" name="targetPort" type="xs:int"/>
      <xs:element minOccurs="0" name="receivingApplication" type="xs:string"/>
      <xs:element minOccurs="0" name="receivingFacility" type="xs:string"/>
      <xs:element minOccurs="0" name="characterSet" type="xs:string"/>
      <xs:element minOccurs="0" name="hl7Version" type="xs:string"/>
      <xs:element minOccurs="0" name="messageType" type="xs:string"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="sendHl7MessageResponse">
    <xs:sequence>
      <xs:element minOccurs="0" name="Hl7MessageRespond" type="xs:string"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="returnPatient">
    <xs:sequence>
      <xs:element minOccurs="0" name="countryCode" type="xs:string"/>
      <xs:element minOccurs="0" name="lastNameOption" type="xs:boolean"/>
      <xs:element minOccurs="0" name="firstNameOption" type="xs:boolean"/>
      <xs:element minOccurs="0" name="religionOption" type="xs:boolean"/>
      <xs:element minOccurs="0" name="raceOption" type="xs:boolean"/>
      <xs:element minOccurs="0" name="birthDayOption" type="xs:boolean"/>
      <xs:element minOccurs="0" name="addressOption" type="xs:boolean"/>
      <xs:element minOccurs="0" name="genderDescription" type="xs:string"/>
      <xs:element minOccurs="0" name="firstNameLike" type="xs:string"/>
      <xs:element minOccurs="0" name="lastNameLike" type="xs:string"/>
      <xs:element minOccurs="0" name="firstNameIs" type="xs:string"/>
      <xs:element minOccurs="0" name="lastNameIs" type="xs:string"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="returnPatientResponse">
    <xs:sequence>
      <xs:element minOccurs="0" name="return" type="tns:patient"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="patient">
    <xs:complexContent>
      <xs:extension base="tns:auditModule">
        <xs:sequence>
          <xs:element maxOccurs="unbounded" minOccurs="0" name="address" nillable="true" type="tns:patientAddress"/>
          <xs:element minOccurs="0" name="country" type="tns:countryCode"/>
          <xs:element minOccurs="0" name="creationDate" type="xs:dateTime"/>
          <xs:element minOccurs="0" name="ddsPatientIdentifier" type="xs:string"/>
          <xs:element minOccurs="0" name="motherPatient" type="tns:patient"/>
          <xs:element minOccurs="0" name="nationalPatientIdentifier" type="xs:string"/>
          <xs:element minOccurs="0" name="person" type="tns:person"/>
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType abstract="true" name="auditModule">
    <xs:sequence>
      <xs:element minOccurs="0" name="lastChanged" type="xs:dateTime"/>
      <xs:element minOccurs="0" name="lastModifier" type="xs:string"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="patientAddress">
    <xs:complexContent>
      <xs:extension base="tns:auditModule">
        <xs:sequence>
          <xs:element minOccurs="0" name="city" type="tns:city"/>
          <xs:element minOccurs="0" name="country" type="tns:countryCode"/>
          <xs:element minOccurs="0" name="id" type="xs:int"/>
          <xs:element minOccurs="0" name="lattitude" type="xs:double"/>
          <xs:element minOccurs="0" name="longitude" type="xs:double"/>
          <xs:element minOccurs="0" name="number" type="xs:string"/>
          <xs:element minOccurs="0" name="postalCode" type="xs:string"/>
          <xs:element minOccurs="0" name="state" type="tns:state"/>
          <xs:element minOccurs="0" name="street" type="tns:street"/>
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="city">
    <xs:complexContent>
      <xs:extension base="tns:auditModule">
        <xs:sequence>
          <xs:element minOccurs="0" name="id" type="xs:int"/>
          <xs:element minOccurs="0" name="value" type="xs:string"/>
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="countryCode">
    <xs:sequence>
      <xs:element minOccurs="0" name="id" type="xs:int"/>
      <xs:element minOccurs="0" name="iso" type="xs:string"/>
      <xs:element minOccurs="0" name="name" type="xs:string"/>
      <xs:element minOccurs="0" name="printableName" type="xs:string"/>
      <xs:element minOccurs="0" name="iso3" type="xs:string"/>
      <xs:element minOccurs="0" name="numcode" type="xs:int"/>
      <xs:element minOccurs="0" name="ec" type="xs:boolean"/>
      <xs:element minOccurs="0" name="flagUrl" type="xs:string"/>
      <xs:element minOccurs="0" name="isLastNameSexed" type="xs:boolean"/>
      <xs:element minOccurs="0" name="countryOID" type="xs:string"/>
      <xs:element minOccurs="0" name="inseeCode" type="xs:string"/>
      <xs:element minOccurs="0" name="characterSetEncodingReference" type="tns:characterSetEncoding"/>
      <xs:element minOccurs="0" name="generateReligion" type="xs:boolean"/>
      <xs:element minOccurs="0" name="generateRace" type="xs:boolean"/>
      <xs:element minOccurs="0" name="minNumberOfPatientMiddleName" type="xs:int"/>
      <xs:element minOccurs="0" name="maxNumberOfPatientMiddleName" type="xs:int"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="characterSetEncoding">
    <xs:sequence>
      <xs:element minOccurs="0" name="charset" type="xs:string"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="state">
    <xs:complexContent>
      <xs:extension base="tns:auditModule">
        <xs:sequence>
          <xs:element minOccurs="0" name="code" type="xs:string"/>
          <xs:element minOccurs="0" name="id" type="xs:int"/>
          <xs:element minOccurs="0" name="name" type="xs:string"/>
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="street">
    <xs:complexContent>
      <xs:extension base="tns:auditModule">
        <xs:sequence>
          <xs:element minOccurs="0" name="id" type="xs:int"/>
          <xs:element minOccurs="0" name="value" type="xs:string"/>
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="person">
    <xs:complexContent>
      <xs:extension base="tns:auditModule">
        <xs:sequence>
          <xs:element minOccurs="0" name="dateOfBirth" type="xs:dateTime"/>
          <xs:element minOccurs="0" name="dateOfDeath" type="xs:dateTime"/>
          <xs:element minOccurs="0" name="firstAlternativeName" type="xs:string"/>
          <xs:element minOccurs="0" name="firstNameSex" type="tns:firstNameSex"/>
          <xs:element minOccurs="0" name="lastAlternativeName" type="xs:string"/>
          <xs:element minOccurs="0" name="lastName" type="tns:lastName"/>
          <xs:element minOccurs="0" name="maritalStatus" type="xs:string"/>
          <xs:element minOccurs="0" name="motherMaidenName" type="tns:lastName"/>
          <xs:element minOccurs="0" name="nameType" type="xs:string"/>
          <xs:element maxOccurs="unbounded" minOccurs="0" name="otherFirstNameSexList" nillable="true" type="tns:firstNameSex"/>
          <xs:element maxOccurs="unbounded" minOccurs="0" name="otherNameList" nillable="true" type="tns:otherName"/>
          <xs:element minOccurs="0" name="race" type="tns:race"/>
          <xs:element minOccurs="0" name="religion" type="tns:religion"/>
          <xs:element minOccurs="0" name="sex" type="tns:sex"/>
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="firstNameSex">
    <xs:complexContent>
      <xs:extension base="tns:auditModule">
        <xs:sequence>
          <xs:element minOccurs="0" name="firstName" type="xs:string"/>
          <xs:element minOccurs="0" name="gender" type="tns:gender"/>
          <xs:element minOccurs="0" name="id" type="xs:int"/>
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="gender">
    <xs:complexContent>
      <xs:extension base="tns:auditModule">
        <xs:sequence>
          <xs:element minOccurs="0" name="description" type="xs:string"/>
          <xs:element minOccurs="0" name="id" type="xs:int"/>
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="lastName">
    <xs:complexContent>
      <xs:extension base="tns:auditModule">
        <xs:sequence>
          <xs:element minOccurs="0" name="gender" type="tns:gender"/>
          <xs:element minOccurs="0" name="value" type="xs:string"/>
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="otherName">
    <xs:complexContent>
      <xs:extension base="tns:auditModule">
        <xs:sequence>
          <xs:element minOccurs="0" name="firstNameSex" type="tns:firstNameSex"/>
          <xs:element minOccurs="0" name="id" type="xs:int"/>
          <xs:element minOccurs="0" name="lastName" type="tns:lastName"/>
          <xs:element minOccurs="0" name="nameType" type="xs:string"/>
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="race">
    <xs:complexContent>
      <xs:extension base="tns:auditModule">
        <xs:sequence>
          <xs:element minOccurs="0" name="code" type="xs:string"/>
          <xs:element minOccurs="0" name="description" type="xs:string"/>
          <xs:element minOccurs="0" name="id" type="xs:int"/>
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="religion">
    <xs:complexContent>
      <xs:extension base="tns:auditModule">
        <xs:sequence>
          <xs:element minOccurs="0" name="code" type="xs:string"/>
          <xs:element minOccurs="0" name="description" type="xs:string"/>
          <xs:element minOccurs="0" name="id" type="xs:int"/>
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="sex">
    <xs:complexContent>
      <xs:extension base="tns:auditModule">
        <xs:sequence>
          <xs:element minOccurs="0" name="code" type="xs:string"/>
          <xs:element minOccurs="0" name="description" type="xs:string"/>
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="returnHl7Message">
    <xs:sequence>
      <xs:element minOccurs="0" name="countryCode" type="xs:string"/>
      <xs:element minOccurs="0" name="receivingApplication" type="xs:string"/>
      <xs:element minOccurs="0" name="receivingFacility" type="xs:string"/>
      <xs:element minOccurs="0" name="characterSet" type="xs:string"/>
      <xs:element minOccurs="0" name="hl7Version" type="xs:string"/>
      <xs:element minOccurs="0" name="messageType" type="xs:string"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="returnHl7MessageResponse">
    <xs:sequence>
      <xs:element minOccurs="0" name="return" type="xs:string"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="returnSimplePatient">
    <xs:sequence>
      <xs:element minOccurs="0" name="countryCode" type="xs:string"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="returnSimplePatientResponse">
    <xs:sequence>
      <xs:element minOccurs="0" name="return" type="tns:patient"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="returnCountryInseeCode">
    <xs:sequence>
      <xs:element minOccurs="0" name="countryCode" type="xs:string"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="returnCountryInseeCodeResponse">
    <xs:sequence>
      <xs:element minOccurs="0" name="return" type="xs:string"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="sendHl7v3Message">
    <xs:sequence>
      <xs:element minOccurs="0" name="countryCode" type="xs:string"/>
      <xs:element minOccurs="0" name="systemName" type="xs:string"/>
      <xs:element minOccurs="0" name="url" type="xs:string"/>
      <xs:element minOccurs="0" name="receivingApplication" type="xs:string"/>
      <xs:element minOccurs="0" name="receivingFacility" type="xs:string"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="sendHl7v3MessageResponse">
    <xs:sequence>
      <xs:element minOccurs="0" name="Hl7v3MessageRespond" type="xs:string"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="returnAddressByTown">
    <xs:sequence>
      <xs:element minOccurs="0" name="townName" type="xs:string"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="returnAddressByTownResponse">
    <xs:sequence>
      <xs:element minOccurs="0" name="return" type="tns:patientAddress"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="returnAddressByCoordinates">
    <xs:sequence>
      <xs:element minOccurs="0" name="countryCode" type="xs:string"/>
      <xs:element minOccurs="0" name="lattitude" type="xs:double"/>
      <xs:element minOccurs="0" name="longitude" type="xs:double"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="returnAddressByCoordinatesResponse">
    <xs:sequence>
      <xs:element minOccurs="0" name="return" type="tns:patientAddress"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="returnTownInseeCode">
    <xs:sequence>
      <xs:element minOccurs="0" name="townName" type="xs:string"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="returnTownInseeCodeResponse">
    <xs:sequence>
      <xs:element minOccurs="0" name="return" type="xs:string"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="returnPatientWithAllOptions">
    <xs:sequence>
      <xs:element minOccurs="0" name="countryCode" type="xs:string"/>
      <xs:element minOccurs="0" name="lastNameOption" type="xs:boolean"/>
      <xs:element minOccurs="0" name="firstNameOption" type="xs:boolean"/>
      <xs:element minOccurs="0" name="motherMaidenNameOption" type="xs:boolean"/>
      <xs:element minOccurs="0" name="religionOption" type="xs:boolean"/>
      <xs:element minOccurs="0" name="raceOption" type="xs:boolean"/>
      <xs:element minOccurs="0" name="birthDayOption" type="xs:boolean"/>
      <xs:element minOccurs="0" name="addressOption" type="xs:boolean"/>
      <xs:element minOccurs="0" name="genderDescription" type="xs:string"/>
      <xs:element minOccurs="0" name="firstNameLike" type="xs:string"/>
      <xs:element minOccurs="0" name="lastNameLike" type="xs:string"/>
      <xs:element minOccurs="0" name="firstNameIs" type="xs:string"/>
      <xs:element minOccurs="0" name="lastNameIs" type="xs:string"/>
      <xs:element minOccurs="0" name="maritalSatusOption" type="xs:string"/>
      <xs:element minOccurs="0" name="deadPatientOption" type="xs:boolean"/>
      <xs:element minOccurs="0" name="maidenNameOption" type="xs:boolean"/>
      <xs:element minOccurs="0" name="aliasNameOption" type="xs:boolean"/>
      <xs:element minOccurs="0" name="displayNameOption" type="xs:boolean"/>
      <xs:element minOccurs="0" name="newBornOption" type="xs:boolean"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="returnPatientWithAllOptionsResponse">
    <xs:sequence>
      <xs:element minOccurs="0" name="return" type="tns:patient"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="returnAddress">
    <xs:sequence>
      <xs:element minOccurs="0" name="countryCode" type="xs:string"/>
      <xs:element minOccurs="0" name="birthPlace" type="xs:boolean"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="returnAddressResponse">
    <xs:sequence>
      <xs:element minOccurs="0" name="return" type="tns:patientAddress"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="getListCountryCode">
    <xs:sequence/>
  </xs:complexType>
  <xs:complexType name="getListCountryCodeResponse">
    <xs:sequence>
      <xs:element maxOccurs="unbounded" minOccurs="0" name="return" type="tns:countryCode"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="returnPerson">
    <xs:sequence>
      <xs:element minOccurs="0" name="countryCode" type="xs:string"/>
      <xs:element minOccurs="0" name="lastNameOption" type="xs:boolean"/>
      <xs:element minOccurs="0" name="firstNameOption" type="xs:boolean"/>
      <xs:element minOccurs="0" name="motherMaidenNameOption" type="xs:boolean"/>
      <xs:element minOccurs="0" name="religionOption" type="xs:boolean"/>
      <xs:element minOccurs="0" name="raceOption" type="xs:boolean"/>
      <xs:element minOccurs="0" name="birthDayOption" type="xs:boolean"/>
      <xs:element minOccurs="0" name="genderDescription" type="xs:string"/>
      <xs:element minOccurs="0" name="firstNameLike" type="xs:string"/>
      <xs:element minOccurs="0" name="lastNameLike" type="xs:string"/>
      <xs:element minOccurs="0" name="firstNameIs" type="xs:string"/>
      <xs:element minOccurs="0" name="lastNameIs" type="xs:string"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="returnPersonResponse">
    <xs:sequence>
      <xs:element minOccurs="0" name="return" type="tns:person"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="returnHl7v3Message">
    <xs:sequence>
      <xs:element minOccurs="0" name="countryCode1" type="xs:string"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="returnHl7v3MessageResponse">
    <xs:sequence>
      <xs:element minOccurs="0" name="return" type="xs:string"/>
    </xs:sequence>
  </xs:complexType>
  <xs:element name="JDOMException" type="tns:JDOMException"/>
  <xs:complexType name="JDOMException">
    <xs:sequence>
      <xs:element name="message" nillable="true" type="xs:string"/>
    </xs:sequence>
  </xs:complexType>
  <xs:element name="SOAPException" type="tns:SOAPException"/>
  <xs:complexType name="SOAPException">
    <xs:sequence>
      <xs:element name="message" nillable="true" type="xs:string"/>
    </xs:sequence>
  </xs:complexType>
  <xs:element name="IOException" type="tns:IOException"/>
  <xs:complexType name="IOException">
    <xs:sequence/>
  </xs:complexType>
</xs:schema>
  </wsdl:types>
  <wsdl:message name="JDOMException">
    <wsdl:part element="tns:JDOMException" name="JDOMException">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="returnPersonResponse">
    <wsdl:part element="tns:returnPersonResponse" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="returnHl7Message">
    <wsdl:part element="tns:returnHl7Message" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="returnPatient">
    <wsdl:part element="tns:returnPatient" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="returnPatientResponse">
    <wsdl:part element="tns:returnPatientResponse" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="getListCountryCodeResponse">
    <wsdl:part element="tns:getListCountryCodeResponse" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="returnSimplePatient">
    <wsdl:part element="tns:returnSimplePatient" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="returnHl7v3MessageResponse">
    <wsdl:part element="tns:returnHl7v3MessageResponse" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="returnPatientWithAllOptionsResponse">
    <wsdl:part element="tns:returnPatientWithAllOptionsResponse" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="sendHl7Message">
    <wsdl:part element="tns:sendHl7Message" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="returnSimplePatientResponse">
    <wsdl:part element="tns:returnSimplePatientResponse" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="returnPerson">
    <wsdl:part element="tns:returnPerson" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="returnAddressResponse">
    <wsdl:part element="tns:returnAddressResponse" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="returnPatientWithAllOptions">
    <wsdl:part element="tns:returnPatientWithAllOptions" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="returnAddressByTownResponse">
    <wsdl:part element="tns:returnAddressByTownResponse" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="returnTownInseeCodeResponse">
    <wsdl:part element="tns:returnTownInseeCodeResponse" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="sendHl7MessageResponse">
    <wsdl:part element="tns:sendHl7MessageResponse" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="returnHl7v3Message">
    <wsdl:part element="tns:returnHl7v3Message" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="IOException">
    <wsdl:part element="tns:IOException" name="IOException">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="returnAddressByTown">
    <wsdl:part element="tns:returnAddressByTown" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="returnAddressByCoordinates">
    <wsdl:part element="tns:returnAddressByCoordinates" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="returnAddress">
    <wsdl:part element="tns:returnAddress" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="returnTownInseeCode">
    <wsdl:part element="tns:returnTownInseeCode" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="returnHl7MessageResponse">
    <wsdl:part element="tns:returnHl7MessageResponse" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="returnCountryInseeCodeResponse">
    <wsdl:part element="tns:returnCountryInseeCodeResponse" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="getListCountryCode">
    <wsdl:part element="tns:getListCountryCode" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="returnAddressByCoordinatesResponse">
    <wsdl:part element="tns:returnAddressByCoordinatesResponse" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="sendHl7v3Message">
    <wsdl:part element="tns:sendHl7v3Message" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="returnCountryInseeCode">
    <wsdl:part element="tns:returnCountryInseeCode" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="SOAPException">
    <wsdl:part element="tns:SOAPException" name="SOAPException">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="sendHl7v3MessageResponse">
    <wsdl:part element="tns:sendHl7v3MessageResponse" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:portType name="DemographicDataServer">
    <wsdl:operation name="sendHl7Message">
      <wsdl:input message="tns:sendHl7Message" name="sendHl7Message">
    </wsdl:input>
      <wsdl:output message="tns:sendHl7MessageResponse" name="sendHl7MessageResponse">
    </wsdl:output>
      <wsdl:fault message="tns:JDOMException" name="JDOMException">
    </wsdl:fault>
      <wsdl:fault message="tns:IOException" name="IOException">
    </wsdl:fault>
      <wsdl:fault message="tns:SOAPException" name="SOAPException">
    </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="returnPatient">
      <wsdl:input message="tns:returnPatient" name="returnPatient">
    </wsdl:input>
      <wsdl:output message="tns:returnPatientResponse" name="returnPatientResponse">
    </wsdl:output>
      <wsdl:fault message="tns:JDOMException" name="JDOMException">
    </wsdl:fault>
      <wsdl:fault message="tns:IOException" name="IOException">
    </wsdl:fault>
      <wsdl:fault message="tns:SOAPException" name="SOAPException">
    </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="returnHl7Message">
      <wsdl:input message="tns:returnHl7Message" name="returnHl7Message">
    </wsdl:input>
      <wsdl:output message="tns:returnHl7MessageResponse" name="returnHl7MessageResponse">
    </wsdl:output>
      <wsdl:fault message="tns:JDOMException" name="JDOMException">
    </wsdl:fault>
      <wsdl:fault message="tns:IOException" name="IOException">
    </wsdl:fault>
      <wsdl:fault message="tns:SOAPException" name="SOAPException">
    </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="returnSimplePatient">
      <wsdl:input message="tns:returnSimplePatient" name="returnSimplePatient">
    </wsdl:input>
      <wsdl:output message="tns:returnSimplePatientResponse" name="returnSimplePatientResponse">
    </wsdl:output>
      <wsdl:fault message="tns:JDOMException" name="JDOMException">
    </wsdl:fault>
      <wsdl:fault message="tns:IOException" name="IOException">
    </wsdl:fault>
      <wsdl:fault message="tns:SOAPException" name="SOAPException">
    </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="returnCountryInseeCode">
      <wsdl:input message="tns:returnCountryInseeCode" name="returnCountryInseeCode">
    </wsdl:input>
      <wsdl:output message="tns:returnCountryInseeCodeResponse" name="returnCountryInseeCodeResponse">
    </wsdl:output>
      <wsdl:fault message="tns:SOAPException" name="SOAPException">
    </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="sendHl7v3Message">
      <wsdl:input message="tns:sendHl7v3Message" name="sendHl7v3Message">
    </wsdl:input>
      <wsdl:output message="tns:sendHl7v3MessageResponse" name="sendHl7v3MessageResponse">
    </wsdl:output>
      <wsdl:fault message="tns:JDOMException" name="JDOMException">
    </wsdl:fault>
      <wsdl:fault message="tns:IOException" name="IOException">
    </wsdl:fault>
      <wsdl:fault message="tns:SOAPException" name="SOAPException">
    </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="returnAddressByTown">
      <wsdl:input message="tns:returnAddressByTown" name="returnAddressByTown">
    </wsdl:input>
      <wsdl:output message="tns:returnAddressByTownResponse" name="returnAddressByTownResponse">
    </wsdl:output>
      <wsdl:fault message="tns:JDOMException" name="JDOMException">
    </wsdl:fault>
      <wsdl:fault message="tns:IOException" name="IOException">
    </wsdl:fault>
      <wsdl:fault message="tns:SOAPException" name="SOAPException">
    </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="returnAddressByCoordinates">
      <wsdl:input message="tns:returnAddressByCoordinates" name="returnAddressByCoordinates">
    </wsdl:input>
      <wsdl:output message="tns:returnAddressByCoordinatesResponse" name="returnAddressByCoordinatesResponse">
    </wsdl:output>
      <wsdl:fault message="tns:SOAPException" name="SOAPException">
    </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="returnTownInseeCode">
      <wsdl:input message="tns:returnTownInseeCode" name="returnTownInseeCode">
    </wsdl:input>
      <wsdl:output message="tns:returnTownInseeCodeResponse" name="returnTownInseeCodeResponse">
    </wsdl:output>
      <wsdl:fault message="tns:SOAPException" name="SOAPException">
    </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="returnPatientWithAllOptions">
      <wsdl:input message="tns:returnPatientWithAllOptions" name="returnPatientWithAllOptions">
    </wsdl:input>
      <wsdl:output message="tns:returnPatientWithAllOptionsResponse" name="returnPatientWithAllOptionsResponse">
    </wsdl:output>
      <wsdl:fault message="tns:JDOMException" name="JDOMException">
    </wsdl:fault>
      <wsdl:fault message="tns:IOException" name="IOException">
    </wsdl:fault>
      <wsdl:fault message="tns:SOAPException" name="SOAPException">
    </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="returnAddress">
      <wsdl:input message="tns:returnAddress" name="returnAddress">
    </wsdl:input>
      <wsdl:output message="tns:returnAddressResponse" name="returnAddressResponse">
    </wsdl:output>
      <wsdl:fault message="tns:JDOMException" name="JDOMException">
    </wsdl:fault>
      <wsdl:fault message="tns:IOException" name="IOException">
    </wsdl:fault>
      <wsdl:fault message="tns:SOAPException" name="SOAPException">
    </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="getListCountryCode">
      <wsdl:input message="tns:getListCountryCode" name="getListCountryCode">
    </wsdl:input>
      <wsdl:output message="tns:getListCountryCodeResponse" name="getListCountryCodeResponse">
    </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="returnPerson">
      <wsdl:input message="tns:returnPerson" name="returnPerson">
    </wsdl:input>
      <wsdl:output message="tns:returnPersonResponse" name="returnPersonResponse">
    </wsdl:output>
      <wsdl:fault message="tns:SOAPException" name="SOAPException">
    </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="returnHl7v3Message">
      <wsdl:input message="tns:returnHl7v3Message" name="returnHl7v3Message">
    </wsdl:input>
      <wsdl:output message="tns:returnHl7v3MessageResponse" name="returnHl7v3MessageResponse">
    </wsdl:output>
      <wsdl:fault message="tns:JDOMException" name="JDOMException">
    </wsdl:fault>
      <wsdl:fault message="tns:IOException" name="IOException">
    </wsdl:fault>
      <wsdl:fault message="tns:SOAPException" name="SOAPException">
    </wsdl:fault>
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="DemographicDataServerServiceSoapBinding" type="tns:DemographicDataServer">
    <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
    <wsdl:operation name="sendHl7Message">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="sendHl7Message">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="sendHl7MessageResponse">
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="JDOMException">
        <soap:fault name="JDOMException" use="literal"/>
      </wsdl:fault>
      <wsdl:fault name="IOException">
        <soap:fault name="IOException" use="literal"/>
      </wsdl:fault>
      <wsdl:fault name="SOAPException">
        <soap:fault name="SOAPException" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="returnPatient">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="returnPatient">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="returnPatientResponse">
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="JDOMException">
        <soap:fault name="JDOMException" use="literal"/>
      </wsdl:fault>
      <wsdl:fault name="IOException">
        <soap:fault name="IOException" use="literal"/>
      </wsdl:fault>
      <wsdl:fault name="SOAPException">
        <soap:fault name="SOAPException" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="returnHl7Message">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="returnHl7Message">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="returnHl7MessageResponse">
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="JDOMException">
        <soap:fault name="JDOMException" use="literal"/>
      </wsdl:fault>
      <wsdl:fault name="IOException">
        <soap:fault name="IOException" use="literal"/>
      </wsdl:fault>
      <wsdl:fault name="SOAPException">
        <soap:fault name="SOAPException" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="returnSimplePatient">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="returnSimplePatient">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="returnSimplePatientResponse">
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="JDOMException">
        <soap:fault name="JDOMException" use="literal"/>
      </wsdl:fault>
      <wsdl:fault name="IOException">
        <soap:fault name="IOException" use="literal"/>
      </wsdl:fault>
      <wsdl:fault name="SOAPException">
        <soap:fault name="SOAPException" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="returnCountryInseeCode">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="returnCountryInseeCode">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="returnCountryInseeCodeResponse">
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="SOAPException">
        <soap:fault name="SOAPException" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="sendHl7v3Message">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="sendHl7v3Message">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="sendHl7v3MessageResponse">
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="JDOMException">
        <soap:fault name="JDOMException" use="literal"/>
      </wsdl:fault>
      <wsdl:fault name="IOException">
        <soap:fault name="IOException" use="literal"/>
      </wsdl:fault>
      <wsdl:fault name="SOAPException">
        <soap:fault name="SOAPException" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="returnAddressByCoordinates">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="returnAddressByCoordinates">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="returnAddressByCoordinatesResponse">
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="SOAPException">
        <soap:fault name="SOAPException" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="returnAddressByTown">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="returnAddressByTown">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="returnAddressByTownResponse">
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="JDOMException">
        <soap:fault name="JDOMException" use="literal"/>
      </wsdl:fault>
      <wsdl:fault name="IOException">
        <soap:fault name="IOException" use="literal"/>
      </wsdl:fault>
      <wsdl:fault name="SOAPException">
        <soap:fault name="SOAPException" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="returnAddress">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="returnAddress">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="returnAddressResponse">
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="JDOMException">
        <soap:fault name="JDOMException" use="literal"/>
      </wsdl:fault>
      <wsdl:fault name="IOException">
        <soap:fault name="IOException" use="literal"/>
      </wsdl:fault>
      <wsdl:fault name="SOAPException">
        <soap:fault name="SOAPException" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="returnPatientWithAllOptions">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="returnPatientWithAllOptions">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="returnPatientWithAllOptionsResponse">
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="JDOMException">
        <soap:fault name="JDOMException" use="literal"/>
      </wsdl:fault>
      <wsdl:fault name="IOException">
        <soap:fault name="IOException" use="literal"/>
      </wsdl:fault>
      <wsdl:fault name="SOAPException">
        <soap:fault name="SOAPException" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="returnTownInseeCode">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="returnTownInseeCode">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="returnTownInseeCodeResponse">
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="SOAPException">
        <soap:fault name="SOAPException" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="getListCountryCode">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="getListCountryCode">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="getListCountryCodeResponse">
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="returnHl7v3Message">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="returnHl7v3Message">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="returnHl7v3MessageResponse">
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="JDOMException">
        <soap:fault name="JDOMException" use="literal"/>
      </wsdl:fault>
      <wsdl:fault name="IOException">
        <soap:fault name="IOException" use="literal"/>
      </wsdl:fault>
      <wsdl:fault name="SOAPException">
        <soap:fault name="SOAPException" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="returnPerson">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="returnPerson">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="returnPersonResponse">
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="SOAPException">
        <soap:fault name="SOAPException" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="DemographicDataServerService">
    <wsdl:port binding="tns:DemographicDataServerServiceSoapBinding" name="DemographicDataServerPort">
      <soap:address location="http://localhost/DemographicDataServer-ejb/DemographicDataServerService/DemographicDataServer"/>
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>